@import url("./variables.css");
@import url("./base.css");
@import url("./library/animate.min.css");
/* Scroll Animate */
[data-animate] {
  visibility: hidden;
}
/* End of Scroll Animate */
/* Global */
.hidden{
  display: none !important;
}
.section-padding {
  padding: var(--spacing-2lg) 0;
}
.btn-main {
  width: fit-content;
  height: var(--button-height);
  border: 1px solid var(--color-brown);
  padding: 0 var(--spacing-4xs);
  cursor: pointer;
  color: var(--color-body);
  transition: all var(--transition) var(--timing-function);
  background: transparent;
}
.btn-main:hover {
  background: var(--color-brown);
  color: var(--color-white);
}
.btn-text {
  cursor: pointer;
  position: relative;
  color: var(--color-body);
  display: flex;
  justify-content: center;
  align-items: center;
  grid-column-gap: var(--spacing-3xs);
  transition: opacity var(--transition) var(--timing-function);
}
.btn-text:hover {
  opacity: 0.5;
}
.btn-text::before {
  content: "\e906";
  font-family: "iconfont";
  font-size: 10px;
}
/* End of Global */
/* Header */
#header .header-container {
  position: fixed;
  z-index: 99;
  top: 0;
  left: 0;
  right: 0;
  padding: var(--spacing-2xs) var(--container-padding);
  background-color: var(--color-beige);
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: all var(--transition) var(--timing-function);
  transform: translateY(-100%);
  opacity: 0;
}
.header-visible.scroll-up #header .header-container {
  transform: translateY(0%);
  opacity: 1;
}
#header .header-container .site-logo {
  display: block;
}
#header .header-container .site-logo img {
  width: 84px;
  height: auto;
}
/* End of Header */
/* Homepage */
.logo-section .page-logo img {
  width: 106px;
  height: auto;
}
.logo-section .page-logo {
  width: fit-content;
  display: block;
  margin: 0 auto;
  padding-top: var(--spacing-2lg);
}
.intro-section {
  padding-top: var(--spacing-2lg);
}
.fullHeight-section {
  /* height: calc(100svh - (var(--spacing-2lg) * 2)); */
  padding: 282px 0;
}
.fullHeight-section .animateText-container .section-content {
  max-width: 660px;
  margin-left: auto;
  margin-right: auto;
}
.animateText-container {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: relative;
  row-gap: var(--spacing-2sm);
}
.media-section > .wrapper:not(:first-child) {
  margin-top: var(--spacing-5xl);
}
.media-section .btn-text {
  margin: 0 auto;
  margin-top: var(--spacing-sm);
}
.repeater-container .repeater-item {
  background-color: var(--color-beige);
  display: grid;
  grid-template-columns: repeat(2, 1fr);
}
.repeater-container .repeater-item .repeater-content {
  padding: var(--spacing-lg);
  padding-top: var(--spacing-3xl);
}
.repeater-container .repeater-item:nth-child(odd) .repeater-media {
  order: -1;
}
.btn-link,
.contact-info a {
  transition: opacity var(--transition) var(--timing-function);
}
.btn-link:hover,
.contact-info a:hover {
  opacity: 0.5;
}
.contact-info {
  margin: var(--spacing-md) 0;
}
.contact-info ul {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  grid-row-gap: var(--spacing-3xs);
}
.contact-info .ic {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 20px;
  height: 20px;
  background-color: var(--color-brown);
  color: var(--color-white);
  margin-right: var(--spacing-4xs);
}
.contact-info .ic::before {
  font-size: 14px;
}
.form-container .wpcf7 .screen-reader-response{
  display: none;
}
/* End of Homepage */
/* Footer */
#footer {
  padding-top: var(--spacing-5xl);
  padding-bottom: var(--spacing-md);
}
.copyright {
  display: flex;
  justify-content: flex-end;
  align-items: baseline;
  column-gap: var(--spacing-md);
}
/* End of Footer */
/* MEDIA MIN */
@media (min-width: 1399.98px) {
}
@media (min-width: 1199.98px) {
}
@media (min-width: 991.98px) {
}
@media (min-width: 767.98px) {
  .fullHeight-section .animateText-container .section-content {
    max-width: var(--section-maxWidth, 660px);
  }
}
@media (min-width: 575.98px) {
}
/* MEDIA MAX */
@media (max-width: 1399.98px) {
}
@media (max-width: 1199.98px) {
  .repeater-section > .wrapper.wrapper-narrow{
    padding: 0 var(--container-padding);
  }
}
@media (max-width: 991.98px) {
  .repeater-item .repeater-media {
    order: -1;
  }
  .repeater-container .repeater-item {
    grid-template-columns: 100%;
  }
  .repeater-container .repeater-item .repeater-content {
    padding: var(--spacing-2xl) var(--spacing-2sm);
    height: 537px;
  }
}
@media (max-width: 767.98px) {
  .intro-section {
    padding-top: 48px;
  }
  #footer {
    padding-top: var(--spacing-2lg);
  }
  .section-padding {
    padding: var(--spacing-lg) 0;
  }
  .fullHeight-section {
    padding: 138px 0;
    /* min-height: 360px;
    max-height: 520px; */
  }
  .copyright {
    flex-direction: column;
    justify-content: flex-end;
    align-items: center;
    text-align: center;
    row-gap: var(--spacing-2xs);
  }
}
@media (max-width: 575.98px) {
}
